Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000684 [SkyOS 5.0 - Beta] major always 2005-02-09 18:33 2005-02-10 17:08
Reporter Another One View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000684: Beta8.3 SP2 - Storage Viewer crashes when CTRL+C a text file!
Description NOT ONLY A TXT FILE! It can be any file view the text inside being previewed in the sidebar, such as HTML and SCR files.
 
Mark the file so it is being previewed in the sidebar and hit CTRL+C.
Additional Information SkyOS v5.0.0-beta 8.3 is booting...
bootpara.c: Kernel options: /kernel.sys /debug /debugport=1
Memory summary:
memory.c: Found 382MB memory.
memory.c: init paging...
memory.c: Using 380MB (398458880 byte)
memory.c: Possible memstart: 00256F60 00000000
memory.c: Page tables at 0x00258000
memory.c: Init memory map manager...
memory.c: Useable memory starts at 005B0000. MemoryMap at 002B8000
memory.c: 383272k free. 389120k available
memory.c: 664k kernel code, 200k data, 1024k reserved
memory.c: Init kernel memory allocation interface...
memory.c: init memory interface...
memory.c: init memory interface done.
main.c: Protecting kernel code from bad referenced pointers...
main.c: Kernel code region from 80100000 to 801A6000
main.c: Protection enabled for 166 pages
main.c: Initializing resource manager...
perfman.c: Initializing performance measure points....
uart.c: Detecting serial ports...
debugger.c: Opening device /dev/ser1 for debug output
uart.c: /dev/ser0: Opened with 56700
sched.c: Initializing multitasking environment...
sched.c: Timer set to 100Hz
critical.c: Semaphore not valid in enter...
magic: 001FEB30 / 00000000
<core: kernel> 0x0010F748
<core: kernel> 0x0010FFE3
<core: kernel> 0x0013CAD7
<core: kernel> 0x0013E3A7
<core: kernel> 0x0012626F
<core: kernel> 0x0010B47E
<core: kernel> 0x001023BA
<core: kernel> 0x00109DA3
<core: kernel> 0x00000000
critical.c: Semaphore not valid in leave...
magic: 001FEB30 / 00000000
<core: kernel> 0x0010F969
<core: kernel> 0x00110024
<core: kernel> 0x0013CB88
<core: kernel> 0x0013E3A7
<core: kernel> 0x0012626F
<core: kernel> 0x0010B47E
<core: kernel> 0x001023BA
<core: kernel> 0x00109DA3
<core: kernel> 0x00000000
SkyOS v5.0.0-beta 8.3 is booting...
Copyright (c) 1996 - 2004 by Szeleney Robert
Build: Feb 3 2005 / 18:40:37 Kernel Version: v5.0.0-beta 8.3
For more information or download see http://www.skyos.org [^]
 
Used bootloader: GRUB
Used bootoptions: /kernel.sys /debug /debugport=1
CPU Cache: Enabled (8005003B)
debugger.c: Kernel debugger uses serial device /dev/ser1
            115200,8,n
done
pc.c: cpu is a AuthenticAMD
      model is unknown
      stepping : 1
      stepping : unknown
      cpuid lev.: 1
      flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov fcmov pse36 mmx+ mmx fxsr 3dnow+ 3dnow
tsccounter: 001F64AF
new device
new device done
new device done 2087579510
main.c: CPU0 runs at 2087Mhz (2087 cycles per usec)
Memory detected: 398458880 / (380 MB)
32Bit Protected Mode, Virtual Memory, Interrupts and Paging activated
Kernel code is 664KB and uses 196KB intialized data
384864KB non-initialized data. BSS end at 0x00256F60
main.c: System with ISA bus detected.
init cache
main.c: Initializing scheduler...
main.c: Enabling Interrupts...
main.c: Interrupts enabled...
pcisub.c: Scanning PCI-BUS. Bus: 0
pci.c: 8086:7190
pci.c: 8086:7191
pcisub.c: Scanning PCI-BUS. Bus: 1
pci.c: 8086:7110
pci.c: 8086:7111
pci.c: 8086:7112
pci.c: 8086:7113
pci.c: 15AD:0405
pci.c: 104B:1040
pci.c: 1022:2000
pci.c: 1274:1371
module.c: Initializing module manager...
module.c: Module manager initialized.
boot.c: BootScreenInitialize...
boot.c: Initialize fail-safe VGA driver...
boot.c: Initialize VESA2.0 ...
boot.c: Initialize SkyGI ...
skygi.c: Initializeing software driver...
skygi.c: Software driver opened
boot.c: Initialize BootScreen driver...
skygi.c: Merge Software/Primary driver data
vesa.c: Init
call real mode
call real mode done
vesa.c: Mode Request
vesa.c: VideoModePtr located at C0005FA9 (Seg: 0xC000 Off: 0x5FA9). Phys: 0x000C5FA9
vesa.c: mode 0x0120 available.
vesa.c: mode 0x0121 available.
vesa.c: mode 0x0122 available.
vesa.c: mode 0x0123 available.
vesa.c: mode 0x0124 available.
vesa.c: mode 0x0125 available.
vesa.c: mode 0x0126 available.
vesa.c: mode 0x0127 available.
vesa.c: mode 0x0128 available.
vesa.c: mode 0x0129 available.
vesa.c: mode 0x012A available.
vesa.c: mode 0x012B available.
vesa.c: mode 0x012C available.
vesa.c: mode 0x012D available.
vesa.c: mode 0x012E available.
vesa.c: mode 0x012F available.
vesa.c: mode 0x0130 available.
vesa.c: mode 0x0131 available.
vesa.c: mode 0x0132 available.
vesa.c: mode 0x0133 available.
vesa.c: mode 0x0134 available.
vesa.c: mode 0x0135 available.
vesa.c: mode 0x0136 available.
vesa.c: mode 0x0137 available.
vesa.c: mode 0x0138 available.
vesa.c: mode 0x0139 available.
vesa.c: mode 0x013A available.
vesa.c: mode 0x013B available.
vesa.c: mode 0x013C available.
vesa.c: mode 0x013D available.
vesa.c: mode 0x013E available.
vesa.c: mode 0x013F available.
vesa.c: mode 0x0140 available.
vesa.c: mode 0x0141 available.
vesa.c: mode 0x0142 available.
vesa.c: mode 0x0143 available.
vesa.c: mode 0x0144 available.
vesa.c: mode 0x0145 available.
vesa.c: mode 0x0146 available.
vesa.c: mode 0x0147 available.
vesa.c: mode 0x0148 available.
vesa.c: mode 0x0149 available.
vesa.c: mode 0x0100 available.
vesa.c: mode 0x0101 available.
vesa.c: mode 0x0103 available.
vesa.c: mode 0x0105 available.
vesa.c: mode 0x0107 available.
vesa.c: mode 0x010E available.
vesa.c: mode 0x0111 available.
vesa.c: mode 0x0114 available.
vesa.c: mode 0x0117 available.
vesa.c: mode 0x011A available.
vesa.c: Mode 0x0120x with 320/200 at 8 supported (LFB)
vesa.c: Mode 0x0121x with 320/400 at 8 supported (LFB)
vesa.c: Mode 0x0122x with 640/400 at 8 supported (LFB)
vesa.c: Mode 0x0123x with 640/480 at 8 supported (LFB)
vesa.c: Mode 0x0124x with 800/600 at 8 supported (LFB)
vesa.c: Mode 0x0125x with 1024/768 at 8 supported (LFB)
vesa.c: Mode 0x0126x with 1152/864 at 8 supported (LFB)
vesa.c: Mode 0x0127x with 1280/960 at 8 supported (LFB)
vesa.c: Mode 0x0128x with 1280/1024 at 8 supported (LFB)
vesa.c: Mode 0x0129x with 1400/1050 at 8 supported (LFB)
vesa.c: Mode 0x012Ax with 1600/1200 at 8 supported (LFB)
vesa.c: Mode 0x012Bx with 1792/1344 at 8 supported (LFB)
vesa.c: Mode 0x012Cx with 1856/1392 at 8 supported (LFB)
vesa.c: Mode 0x012Dx with 1920/1440 at 8 supported (LFB)
vesa.c: Mode 0x012Ex with 320/200 at 16 supported (LFB)
vesa.c: Mode 0x012Fx with 320/400 at 16 supported (LFB)
vesa.c: Mode 0x0130x with 640/400 at 16 supported (LFB)
vesa.c: Mode 0x0131x with 640/480 at 16 supported (LFB)
vesa.c: Mode 0x0132x with 800/600 at 16 supported (LFB)
vesa.c: Mode 0x0133x with 1024/768 at 16 supported (LFB)
vesa.c: Mode 0x0134x with 1152/864 at 16 supported (LFB)
vesa.c: Mode 0x0135x with 1280/960 at 16 supported (LFB)
vesa.c: Mode 0x0136x with 1280/1024 at 16 supported (LFB)
vesa.c: Mode 0x0137x with 1400/1050 at 16 supported (LFB)
vesa.c: Mode 0x0138x with 1600/1200 at 16 supported (LFB)
vesa.c: Mode 0x0139x with 1792/1344 at 16 supported (LFB)
vesa.c: Mode 0x013Ax with 1856/1392 at 16 supported (LFB)
vesa.c: Mode 0x013Bx with 1920/1440 at 16 supported (LFB)
vesa.c: Mode 0x013Cx with 320/200 at 32 supported (LFB)
vesa.c: Mode 0x013Dx with 320/400 at 32 supported (LFB)
vesa.c: Mode 0x013Ex with 640/400 at 32 supported (LFB)
vesa.c: Mode 0x013Fx with 640/480 at 32 supported (LFB)
vesa.c: Mode 0x0140x with 800/600 at 32 supported (LFB)
vesa.c: Mode 0x0141x with 1024/768 at 32 supported (LFB)
vesa.c: Mode 0x0142x with 1152/864 at 32 supported (LFB)
vesa.c: Mode 0x0143x with 1280/960 at 32 supported (LFB)
vesa.c: Mode 0x0144x with 1280/1024 at 32 supported (LFB)
vesa.c: Mode 0x0145x with 1400/1050 at 32 supported (LFB)
vesa.c: Mode 0x0146x with 1600/1200 at 32 supported (LFB)
vesa.c: Mode 0x0147x with 1792/1344 at 32 supported (LFB)
vesa.c: Mode 0x0148x with 1856/1392 at 32 supported (LFB)
vesa.c: Mode 0x0149x with 1920/1440 at 32 supported (LFB)
vesa.c: Mode 0x0100x with 640/400 at 8 supported (LFB)
vesa.c: Mode 0x0101x with 640/480 at 8 supported (LFB)
vesa.c: Mode 0x0103x with 800/600 at 8 supported (LFB)
vesa.c: Mode 0x0105x with 1024/768 at 8 supported (LFB)
vesa.c: Mode 0x0107x with 1280/1024 at 8 supported (LFB)
vesa.c: Mode 0x010Ex with 320/200 at 16 supported (LFB)
vesa.c: Mode 0x0111x with 640/480 at 16 supported (LFB)
vesa.c: Mode 0x0114x with 800/600 at 16 supported (LFB)
vesa.c: Mode 0x0117x with 1024/768 at 16 supported (LFB)
vesa.c: Mode 0x011Ax with 1280/1024 at 16 supported (LFB)
vesa.c: Set Mode
vesa.c: Mode not available
skygi.c: Unable to set mode 640/480/24bpp for driver /dev/GFX_VESA
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at fa000000
vesa.c: Screen is 640/480 at 32 bpp
vesa.c: lfb virtual at 0x18000000. Size: 0x0012CA00
vesa.c: Enable MTRR for 0xFA000000. Size: 0x0012CA00
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 640/480 640/480 32 with 60 HZ
         Framebuffer: 0x18000000
boot.c: BootScreen Initialized at 640x480x32bpp using /dev/GFX_VESA
bootlogo.c: Parsing bootimage...
bootlog.c: Bootimage loaded. Displaying...
main.c: Enabling keyboard...
keyboard.c: Initializing keyboard...
keyboard.c: Keyboard driver installed.
fdd.c: Initializing Floppy device...
fdd.c: Dmabuffer is at ffe018
fdd.c: FDC version 0x81
fdd.c: enhanced controller found.
atainit.c: Found ATA/IDE PCI controller (8086:7111)
           PCI controller runs with compatibility mode at 0x1F0
           Primary : Base: 0x1f0, IRQ: 14, DMA: 00001050
           PCI controller runs with compatibility mode at 0x1F0
           Secondary: Base: 0x170, IRQ: 15, DMA: 00001058
ideinit.c: Allocating DMA transfer block and buffer
atainit.c: DMA Primary 178A0000 178A0000 00000800
atainit.c: DMA Secondary 00FED000 00FED000 00000800
ata.c: Detecting and initializing ATA/ATAPI devices...
ide.c: Secondary/Master not present
ide.c: Secondary/Slave not present
ata.c: Examining Master-Primary
ata.c: Examining Master-Slave
ata.c: ATA device connected at Master-Primary (PIO4)
ata.c: ATAPI device connected at Master-Slave (PIO4)
ata.c: No device connected at Secondary-Primary
ata.c: No device connected at Secondary-Slave
hd.c: New device: /dev/hd0 using /dev/ide0 0 - 2097152, Unknown(0) (1024 MB)
part.c: Valid partition (0): 63 - 2095191 (Type: 236)
hd.c: Detected partitions: 4
hd.c: New device: /dev/hd0a using /dev/ide0 63 - 2095191, SkyFS(0) (1023 MB)
hd.c: New device: /dev/cd1 using /dev/atapi1 0 - 0, Unknown(0) (0 MB)
hd.c: Error while probing partitions on device /dev/cd1
critical.c: Semaphore not valid in enter...
magic: 001FEB30 / 00000000
<core: kernel> 0x0010F748
<core: kernel> 0x0010FFE3
<core: kernel> 0x0013CAD7
<core: kernel> 0x0013E3A7
<core: kernel> 0x001706EB
<core: kernel> 0x001028C0
<core: kernel> 0x00109DA3
<core: kernel> 0x00000000
critical.c: Semaphore not valid in leave...
magic: 001FEB30 / 00000000
<core: kernel> 0x0010F969
<core: kernel> 0x00110024
<core: kernel> 0x0013CB88
<core: kernel> 0x0013E3A7
<core: kernel> 0x001706EB
<core: kernel> 0x001028C0
<core: kernel> 0x00109DA3
<core: kernel> 0x00000000
vfs.c: Initializing virtual filesystem...
       Initializing VNode Cache SubSystem..
rootfs: Initializing rootfs.
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol rootfs
mount.c: Mounted device to rootfs
mount.c: New mount entry at 0x00FE7018:
         SubFS : rootfs
         MountPoint: /
         Device :
         Mountnode : 00FE7018
skyfs.c: Initializing SkyFS
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol skyfs
fat.c: Initializing FAT-FS.
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol fat
sysintfs: Initializing sysintfs. (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol sysintfs
mount.c: Mounted device to sysintfs
mount.c: New mount entry at 0x00FE3018:
         SubFS : sysintfs
         MountPoint: /systeminterface
         Device :
         Mountnode : 00FE3018
CDFS.c: Initializing CDFS (ISO9660)... (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol cdfs
swap.c: Initializing swapper...
main.c: Switching to SkyGI WM...
gitask.c: Task for SkyGI at 17784018
automnt.c: Automounting disk devices...
atapi.c: No medium in ATAPI device.
hc.c: Device is not ready.
automnt.c: Check /dev/hd0a using skyfs for bootdevice...
mount 1778145C
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 523782
  used_blocks = 338561
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 1
  ag_shift = 14 (8660857386975232 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (691489734656, 2048, 393343301)
  log_start = 1281
  log_end = 1281
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 393343301)
  indices = (9487582756864, 1, 393343301)
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 523782
  used_blocks = 338561
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 1
  ag_shift = 14 (8660857386975232 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (691489734656, 2048, 393343301)
  log_start = 1281
  log_end = 1281
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 393343301)
  indices = (9487582756864, 1, 393343301)
buffer.c: Add device to cache subsystem.
buffer.c: Success
Check for 2209 reserved blocks.
skyfs.c: Mounted skyfs (1778BDFC, 17789C0C)
         RootVnode: 131072
mount.c: Mounted device to skyfs
mount.c: New mount entry at 0x17789C0C:
         SubFS : skyfs
         MountPoint: /automnt
         Device : /dev/hd0a
         Mountnode : 17789C0C
automnt.c: Mount /dev/hd0a as bootdevice to /boot
unmoung: /dev/hd0a
skyfs: umount...
free journal
free indices
free cached blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 41 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 41 0
done
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 41 0
buffer.c: Remove device from cache subsystem. Serialized 0 blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 41 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 0 0
skyfs: unmount done.
mount 17781558
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 523782
  used_blocks = 338561
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 1
  ag_shift = 14 (8660857386975232 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (691489734656, 2048, 393343301)
  log_start = 1281
  log_end = 1281
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 393343301)
  indices = (9487582756864, 1, 393343301)
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 523782
  used_blocks = 338561
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 1
  ag_shift = 14 (8660857386975232 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (691489734656, 2048, 393343301)
  log_start = 1281
  log_end = 1281
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 393343301)
  indices = (9487582756864, 1, 393343301)
buffer.c: Add device to cache subsystem.
buffer.c: Success
Check for 2209 reserved blocks.
skyfs.c: Mounted skyfs (1778BDFC, 17789C0C)
         RootVnode: 131072
mount.c: Mounted device to skyfs
mount.c: New mount entry at 0x17789C0C:
         SubFS : skyfs
         MountPoint: /boot
         Device : /dev/hd0a
         Mountnode : 17789C0C
atapi.c: No medium in ATAPI device.
hc.c: Device is not ready.
Loading registry....
ata.c: User changed PIO status per registry.
ata.c: User changed PIO status per registry.
trap.c: Multiple interrupts disabled
ps2mouse.c: Initializing PS2 mouse..
ps2mouse.c: Ok
newgui.c: Keyboard driver opened
mouse.c: Unable to open com port 1. No Microsoft compatible mouse found
uart.c: /dev/ser1: Opened with 56700
mouse.c: searching at /dev/ser2
mouse.c: No Microsoft compatible mouse found
newgui.c: Input driver opened
gitask.c: Loading kernel symbols...
except.c: Fd is 3
usb.c: Initializing USB stack...
28486914:Initializing USB stack...
uhci.c: Detecting UHCI...
uhci.c: Init UHCI controller
uhci.c: UHCI controller found. IRQ: 9 Base: 00001060
uhci.c: 8086/7112
28486982:New USB device 1 on bus 0
28486994:Desriptor read successful. Max packet size: 8
28486997:New USB Device summary:
28486998:------------------------------------------------------------
28487000:Device 1 on bus 0
usb.c: Product: USB UHCI Root Hub
usb.c: SerialNumber: 1060
28487004:Implemented interfaces: 1
28487005:Class : 00000009
28487006:SubClass: 00000000
28487007:Protocol: 00000000
28487007:Vendor : 00000000
28487008:Product : 00000000
28487009:Configs : 00000001
28487010:Interfaces : 00000001
28487011:Parse interface 00000000..
28487012:Alternate interfaces: 00000001
28487014:Parse alternate interface: 00000000
28487015: Class: 00000009 Sub: 00000000 Protocol: 00000000 Interface: 00000000
Notification 0: (/Type=0x00000002 /Index=0 /ShortDescription="New device found" /LongDescription="USB HUB") buffered
28487025:Interface drivers created: 1, failed: 0, rejected: 0
uhci.c: Skipping additional controllers
gitask.c: Loading init application....
28487898: 16/setup.app: main.c: Change cursor 0 20 20 0 0
28487902: 16/setup.app: main.c: Change cursor 7 20 20 3 8
28487907: 16/setup.app: main.c: Change cursor 8 20 20 6 6
28487909: 16/setup.app: main.c: Change cursor 9 20 20 6 6
28487914: 16/setup.app: main.c: Change cursor 10 20 20 3 8
28487918: 16/setup.app: main.c: Change cursor 11 20 20 6 6
28487921: 16/setup.app: main.c: Change cursor 12 20 20 6 6
28487925: 16/setup.app: main.c: Change cursor 13 20 20 9 3
28487928: 16/setup.app: main.c: Change cursor 14 20 20 9 3
28487932: 16/setup.app: main.c: Change cursor 5 20 20 5 8
28487937: 16/setup.app: main.c: Change cursor 4 20 20 9 9
28487940: 16/setup.app: main.c: Change cursor 3 20 20 0 0
28487943: 16/setup.app: main.c: Change cursor 17 20 20 0 0
28487946: 16/setup.app: Apply keyboard mapping /boot/system/settings/keyboard/enus.txt
28488025: 16/setup.app: keyboard.c: Warning! Keymap doesn't have DeadKeys
28488057: 16/setup.app: Setup: Loading driver...
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at fa000000
vesa.c: Screen is 640/480 at 32 bpp
vesa.c: lfb virtual at 0x18000000. Size: 0x0012CA00
vesa.c: Enable MTRR for 0xFA000000. Size: 0x0012CA00
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 640/480 640/480 32 with 60 HZ
         Framebuffer: 0x18000000
gigfx.c: Primary driver:
          Framebuffer: 18000000
          Dimension : 640x480x32
28488429: 18/setup.app_t17_load: read (.)
28488430: 18/setup.app_t17_load: read (..)
28488431: 18/setup.app_t17_load: read (SNFS.dld)
28488433: 18/setup.app_t17_load: read load (SNFS.dld)
28488435: 18/setup.app_t17_load: load module (SNFS.dld)
28488446: 18/setup.app_t17_load: dlmload
28488456: 18/setup.app_t17_load: read (ac97.dld)
28488457: 18/setup.app_t17_load: read load (ac97.dld)
28488459: 18/setup.app_t17_load: load module (ac97.dld)
28488467: 18/setup.app_t17_load: dlmload
ac97.c: AC97 Codec driver installed.
28488473: 18/setup.app_t17_load: read (amdpcnet.dld)
28488474: 18/setup.app_t17_load: read load (amdpcnet.dld)
28488476: 18/setup.app_t17_load: load module (amdpcnet.dld)
28488492: 18/setup.app_t17_load: dlmload
Initializing tcpip module... 5b77f8
Directory created...
ip.c: Initializing Internet Protocol...
udp.c: Initializing UDP Protocol...
tcp.c: Initializing TCP Protocol...
netif at 186088CC
amdpcnet.c: Initializing....
amdpcnet.c: AmdPCNet Ethernet card detected at 0x1080. IRQ: 10
amdpcnet.c: PCnet / PCI II 79C970A
28488537: 18/setup.app_t17_load: read (bfs.dld)
28488539: 18/setup.app_t17_load: read load (bfs.dld)
28488540: 18/setup.app_t17_load: load module (bfs.dld)
28488548: 18/setup.app_t17_load: dlmload
bfs.c: Initializing bfs
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol bfs
28488587: 18/setup.app_t17_load: read (config)
28488588: 18/setup.app_t17_load: read (debugl.dld)
28488590: 18/setup.app_t17_load: read load (debugl.dld)
28488591: 18/setup.app_t17_load: load module (debugl.dld)
28488595: 18/setup.app_t17_load: dlmload
28488599: 18/setup.app_t17_load: read (devicefs.dld)
28488600: 18/setup.app_t17_load: read load (devicefs.dld)
28488602: 18/setup.app_t17_load: load module (devicefs.dld)
28488607: 18/setup.app_t17_load: dlmload
devicefs: Initializing devicefs. (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol devicefs
mount.c: Mounted device to devicefs
mount.c: New mount entry at 0x1650AC0C:
         SubFS : devicefs
         MountPoint: /dev
         Device :
         Mountnode : 1650AC0C
28488627: 18/setup.app_t17_load: read (eepro100.dld)
28488629: 18/setup.app_t17_load: read load (eepro100.dld)
28488630: 18/setup.app_t17_load: load module (eepro100.dld)
28488633: 18/setup.app_t17_load: dlmload
eepro100.c: Initializing....
eepro100.c: No Intel eePro100 cards found.
i386pe.c: Failed to initialize kernel module
28488641: 18/setup.app_t17_load: read (elo.dld)
28488643: 18/setup.app_t17_load: read load (elo.dld)
28488644: 18/setup.app_t17_load: load module (elo.dld)
28488648: 18/setup.app_t17_load: dlmload
28488650: 18/setup.app_t17_load: read (emu1k.dld)
28488652: 18/setup.app_t17_load: read load (emu1k.dld)
28488654: 18/setup.app_t17_load: load module (emu1k.dld)
28488656: 18/setup.app_t17_load: dlmload
emu1k.c: Initializing...
28488662: 18/setup.app_t17_load: read (es1371.dld)
28488664: 18/setup.app_t17_load: read load (es1371.dld)
28488665: 18/setup.app_t17_load: load module (es1371.dld)
28488669: 18/setup.app_t17_load: dlmload
es1371.c: Initializing ES1371...
es1371.c: found chip, vendor id 0x1274 device id 0x1371 revision 0x02
es1371.c: irq: 9, Handler: 186FF000
es1371.c: found es1371 rev 02 at io 0x00001400 irq 9
 features: joystick 0x0
AC97DetectCodec: AC97 codec found. Type: Unknown, Vendor: Cirrus Logic CS4297A rev A (435204/591304)
set 0 00004343
set 4 00004343
set 5 00004343
set 6 00004343
set 7 00001111
set 8 00004343
set 12 00004343
set 14 00004343
set 20 00004343
set 21 00004343
set 22 00004343
es1371.c: ES1371 device found
28488718: 18/setup.app_t17_load: read (fifofs.dld)
28488720: 18/setup.app_t17_load: read load (fifofs.dld)
28488721: 18/setup.app_t17_load: load module (fifofs.dld)
28488724: 18/setup.app_t17_load: dlmload
FFS.c: Initializing Fifo filesystem
FFS.c: memseting
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol fifofs
mount.c: Mounted device to fifofs
mount.c: New mount entry at 0x00C5AC0C:
         SubFS : fifofs
         MountPoint: /fifo
         Device :
         Mountnode : 00C5AC0C
28488750: 18/setup.app_t17_load: read (i815.dld)
28488751: 18/setup.app_t17_load: read load (i815.dld)
28488753: 18/setup.app_t17_load: load module (i815.dld)
28488756: 18/setup.app_t17_load: dlmload
i815.c: Initializing i815 driver...
i850.c: Failed to init driver..
i386pe.c: Failed to initialize kernel module
28488764: 18/setup.app_t17_load: read (i855.dld)
28488766: 18/setup.app_t17_load: read load (i855.dld)
28488768: 18/setup.app_t17_load: load module (i855.dld)
28488770: 18/setup.app_t17_load: dlmload
28488774:Detecting Intel graphic card...
28488775:i850.c: Failed to init driver..
i386pe.c: Failed to initialize kernel module
28488779: 18/setup.app_t17_load: read (lib)
28488781: 18/setup.app_t17_load: read (linuxvm.dld)
28488782: 18/setup.app_t17_load: read load (linuxvm.dld)
28488784: 18/setup.app_t17_load: load module (linuxvm.dld)
28488786: 18/setup.app_t17_load: dlmload
28488794: 18/setup.app_t17_load: read (lo.dld)
28488795: 18/setup.app_t17_load: read load (lo.dld)
28488798: 18/setup.app_t17_load: load module (lo.dld)
28488801: 18/setup.app_t17_load: dlmload
lo.c: Initializing loopback device
28488805: 18/setup.app_t17_load: read (mach64.dld)
28488808: 18/setup.app_t17_load: read load (mach64.dld)
28488810: 18/setup.app_t17_load: load module (mach64.dld)
28488813: 18/setup.app_t17_load: dlmload
28488824:Detecting Ati graphic card...
ati.c: Failed to init driver..
i386pe.c: Failed to initialize kernel module
28488829: 18/setup.app_t17_load: read (nullblk.dld)
28488831: 18/setup.app_t17_load: read load (nullblk.dld)
28488833: 18/setup.app_t17_load: load module (nullblk.dld)
28488835: 18/setup.app_t17_load: dlmload
28488839: 18/setup.app_t17_load: read (nvidia.dld)
28488841: 18/setup.app_t17_load: read load (nvidia.dld)
28488842: 18/setup.app_t17_load: load module (nvidia.dld)
28488853: 18/setup.app_t17_load: dlmload
nvidia.c: Initializing nvidia module...
28488863:Detecting NVidia graphic card...
28488864:No supported NVidia graphic card detected.
nvidia.c: Unable to init device..
i386pe.c: Failed to initialize kernel module
28488869: 18/setup.app_t17_load: read (parallel.dld)
28488870: 18/setup.app_t17_load: read load (parallel.dld)
28488872: 18/setup.app_t17_load: load module (parallel.dld)
28488875: 18/setup.app_t17_load: dlmload
28488879: 18/setup.app_t17_load: read (ppp.dld)
28488881: 18/setup.app_t17_load: read load (ppp.dld)
28488882: 18/setup.app_t17_load: load module (ppp.dld)
28488885: 18/setup.app_t17_load: dlmload
ppp.c: Initializing....
28488890: 18/setup.app_t17_load: read (pty.dld)
28488892: 18/setup.app_t17_load: read load (pty.dld)
28488894: 18/setup.app_t17_load: load module (pty.dld)
28488897: 18/setup.app_t17_load: dlmload
pty.c: Initializing pty filesystem
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol pty
mount.c: Mounted device to pty
mount.c: New mount entry at 0x16399810:
         SubFS : pty
         MountPoint: /pty
         Device :
         Mountnode : 16399810
28488918: 18/setup.app_t17_load: read (radeon.dld)
28488920: 18/setup.app_t17_load: read load (radeon.dld)
28488921: 18/setup.app_t17_load: load module (radeon.dld)
28488924: 18/setup.app_t17_load: dlmload
28488929:No ATI Radeon graphic card found.
28488930:No ATI Radeon cards found.
28488932: 18/setup.app_t17_load: read (ramdisk.dld)
28488933: 18/setup.app_t17_load: read load (ramdisk.dld)
28488935: 18/setup.app_t17_load: load module (ramdisk.dld)
28488937: 18/setup.app_t17_load: dlmload
28488940: 18/setup.app_t17_load: read (rtl8139.dld)
28488942: 18/setup.app_t17_load: read load (rtl8139.dld)
28488944: 18/setup.app_t17_load: load module (rtl8139.dld)
28488954: 18/setup.app_t17_load: dlmload
rtl8139.c: Initializing....
rtl8139.c: no RTL8129/8139 Ethernet controller found
i386pe.c: Failed to initialize kernel module
28488962: 18/setup.app_t17_load: read (sb.dld)
28488964: 18/setup.app_t17_load: read load (sb.dld)
28488966: 18/setup.app_t17_load: load module (sb.dld)
28488968: 18/setup.app_t17_load: dlmload
sb.c: Initializing Soundblaster.
28488972: 18/setup.app_t17_load: read (slip.dld)
28488974: 18/setup.app_t17_load: read load (slip.dld)
28488975: 18/setup.app_t17_load: load module (slip.dld)
28488979: 18/setup.app_t17_load: dlmload
slip.c: Initializing....
28488983: 18/setup.app_t17_load: read (tcpip.dld)
28488985: 18/setup.app_t17_load: read load (tcpip.dld)
28488986: 18/setup.app_t17_load: load module (tcpip.dld)
28488990: 18/setup.app_t17_load: dlmload
28488993: 18/setup.app_t17_load: read (umfs.dld)
28488994: 18/setup.app_t17_load: read load (umfs.dld)
28488996: 18/setup.app_t17_load: load module (umfs.dld)
28489000: 18/setup.app_t17_load: dlmload
UMFS.c: Initializing usermode filesystem
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol umfs
mount.c: Mounted device to umfs
mount.c: New mount entry at 0x162CE414:
         SubFS : umfs
         MountPoint: /umfs
         Device :
         Mountnode : 162CE414
28489019: 18/setup.app_t17_load: read (vfsdev.dld)
28489021: 18/setup.app_t17_load: read load (vfsdev.dld)
28489022: 18/setup.app_t17_load: load module (vfsdev.dld)
28489025: 18/setup.app_t17_load: dlmload
here in vfs
vfs.c: Initialiting vfsdev filesystem driver
       Copyright (c) 2002 by Robert Szeleney
here in vfs
here in vfs
here in vfs
here in vfs
28489034: 18/setup.app_t17_load: read (via82xx.dld)
28489035: 18/setup.app_t17_load: read load (via82xx.dld)
28489037: 18/setup.app_t17_load: load module (via82xx.dld)
28489040: 18/setup.app_t17_load: dlmload
via82xx.c: Initializing...
28489044: 18/setup.app_t17_load: read (viarhine.dld)
28489045: 18/setup.app_t17_load: read load (viarhine.dld)
28489048: 18/setup.app_t17_load: load module (viarhine.dld)
28489056: 18/setup.app_t17_load: dlmload
via.c: Initializing....
via.c: no via Ethernet controller found
i386pe.c: Failed to initialize kernel module
28489064: 18/setup.app_t17_load: read (vmt.dld)
28489065: 18/setup.app_t17_load: read load (vmt.dld)
28489068: 18/setup.app_t17_load: load module (vmt.dld)
28489070: 18/setup.app_t17_load: dlmload
28489071: 18/setup.app_t17_load: read (vmware.dld)
28489073: 18/setup.app_t17_load: read load (vmware.dld)
28489075: 18/setup.app_t17_load: load module (vmware.dld)
28489079: 18/setup.app_t17_load: dlmload
current 001F9A04
current 16804018
current: setup.app_t17_load
28489084:Detecting vmware graphic card...
28489088:Detected a Vmware SVGA2 graphic card
28489090:IOBase 0x00001460 - 0x00001470.
28489091:Vmware chip version 2 detected.
28489092:Video depth / bpp : 24/32
28489093:Max Width/Height : 2360/1770
28489095:Video Ram/Membase : 0x01000000/0xFA000000
28489096:Host BPP : 32
18 / setup.app_t17_load: auto reap myself because of thread state and no want exit code
get string
get dir /boot
device found
17 / setup.app_t17: auto reap myself because of thread state and no want exit code
28489187: 16/setup.app: Switching to step 10
Set device properties of /dev/net_lo
to 0100007F 000000FF 0100007F
Set device properties of /dev/net_amdpcnet
to 807FA8C0 00FFFFFF 027FA8C0
Set device properties of /dev/net_lo
to 0100007F 000000FF 0100007F
28489391: 21/setup.app_t21: Apply keyboard mapping /boot/system/settings/keyboard/pl.txt
28489460: 21/setup.app_t21: keyboard.c: Warning! Keymap doesn't have DeadKeys
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at fa000000
vesa.c: Screen is 1024/768 at 32 bpp
vesa.c: lfb virtual at 0x188CC000. Size: 0x00301000
vesa.c: Enable MTRR for 0xFA000000. Size: 0x00301000
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 1024/768 1024/768 32 with 60 HZ
         Framebuffer: 0x188CC000
gigfx.c: Primary driver:
          Framebuffer: 188CC000
          Dimension : 1024x768x32
21 / setup.app_t21: auto reap myself because of thread state and no want exit code
28489567: 16/setup.app: Switching to step 1
22 / setup.app_t22: auto reap myself because of thread state and no want exit code
giwm.c: Destroy desktop
giwm.c: Destroy desktop done.
16 / setup.app: Set reaper as parent for task 23 / login.app
16 / setup.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
bootlogo.c: Bootimage freed
sc.c: SecurityContext updated for login.app. (FFFFFFFF)
giwm.c: Destroy desktop
giwm.c: Destroy desktop done.
23 / login.app: Set reaper as parent for task 24 / desktop.app
23 / login.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
sched.c: (2 / TaskReaper) got signal, abort.
iss.app: Starting ISS service...
27 / desktop.app_t27: auto reap myself because of thread state and no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
sched.c: (2 / TaskReaper) got signal, abort.
28495986: 32/viewer.app: Resource 106 not found
28496089: 32/viewer.app: spawn task now
28496090: 32/viewer.app: spawn task now done
28511111: 32/viewer.app: Create preview 0 0 172 99
mmfault.c: Invalid vma accessed from task viewer.app
at 0x0
mmfault.c: Address is in VMA range. How can this happen?
mmfault.c: Address: 00000000 VMA: 00401000 - 00409000
mmfault.c: Execute default exception handler...
**********************************************************************
Exception 0x0E occured.
Exception report follows:
Task viewer.app with PID 32 caused this exception while running in user mode.
Last sent GI message: 2500
Userstack located 00000000 - 7FFFFFF0, Kernel stack at 14B80018 - 14B9FC18
SBRK at 0x00586000

Kernel modules:
0x185FC000 - 0x18619000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x187D1000 - 0x187DF000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x187A9000 - 0x187B8000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x18849000 - 0x18859000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x18757000 - 0x1877A000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x186DA000 - 0x186E8000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x186C9000 - 0x186DA000 /BOOT/SYSTEM/DRIVERS/EEPRO100.DLD
0x18711000 - 0x18736000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x185EB000 - 0x185FC000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x18789000 - 0x1879B000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x18619000 - 0x18698000 /BOOT/SYSTEM/DRIVERS/BFS.DLD
0x186FE000 - 0x18711000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x1879B000 - 0x187A9000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x18698000 - 0x186A6000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x187EE000 - 0x18817000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
0x186A6000 - 0x186C9000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x18817000 - 0x1882B000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x1889B000 - 0x188AB000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
0x1877A000 - 0x18789000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x18868000 - 0x1888D000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x187B8000 - 0x187D1000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x18859000 - 0x18868000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x185B8000 - 0x185DA000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x18747000 - 0x18757000 /BOOT/SYSTEM/DRIVERS/I855.DLD
0x188BB000 - 0x188CC000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x18736000 - 0x18747000 /BOOT/SYSTEM/DRIVERS/I815.DLD
0x188AB000 - 0x188BB000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
0x185DA000 - 0x185EB000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x18839000 - 0x18849000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x1888D000 - 0x1889B000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x1882B000 - 0x18839000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x187DF000 - 0x187EE000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x186E8000 - 0x186FE000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
00401000 00409000 (181AA000, 00400000) R-X /boot/programs/viewer/viewer.app (181A9000)
00409000 0040A000 (181B2000, 00400000) RWX /boot/programs/viewer/viewer.app (181A9000)
0040A000 0040C000 (181B3000, 00400000) R-X /boot/programs/viewer/viewer.app (181A9000)
0040C000 0044C000 (00000000, 00400000) RWX /boot/programs/viewer/viewer.app (181A9000)
0044C000 00453000 (181F5000, 00400000) RWX /boot/programs/viewer/viewer.app (181A9000)
00454000 00586000 (00000000, 00000000) RWX Unknown (00000000)
20001000 2001B000 (183E7000, 20000000) R-X /boot/system/dll/libsky.dll (183E6000)
2001B000 2001C000 (18401000, 20000000) RWX /boot/system/dll/libsky.dll (183E6000)
2001C000 20020000 (18402000, 20000000) R-X /boot/system/dll/libsky.dll (183E6000)
20020000 20022000 (00000000, 20000000) RWX /boot/system/dll/libsky.dll (183E6000)
20022000 20025000 (18408000, 20000000) R-X /boot/system/dll/libsky.dll (183E6000)
20025000 20026000 (1840B000, 20000000) RWX /boot/system/dll/libsky.dll (183E6000)
20026000 20039000 (1840C000, 20000000) R-X /boot/system/dll/libsky.dll (183E6000)
2FF01000 2FF07000 (1850D000, 2FF00000) R-X /boot/system/dll/libregex.dll (1850C000)
2FF07000 2FF08000 (18513000, 2FF00000) RWX /boot/system/dll/libregex.dll (1850C000)
2FF08000 2FF09000 (18514000, 2FF00000) R-X /boot/system/dll/libregex.dll (1850C000)
2FF09000 2FF0A000 (00000000, 2FF00000) RWX /boot/system/dll/libregex.dll (1850C000)
2FF0A000 2FF0B000 (18516000, 2FF00000) R-X /boot/system/dll/libregex.dll (1850C000)
2FF0B000 2FF0C000 (18517000, 2FF00000) RWX /boot/system/dll/libregex.dll (1850C000)
30001000 30059000 (18450000, 30000000) R-X /boot/system/dll/libskygi.dll (1844F000)
30059000 3005C000 (184A8000, 30000000) RWX /boot/system/dll/libskygi.dll (1844F000)
3005C000 30065000 (184AB000, 30000000) R-X /boot/system/dll/libskygi.dll (1844F000)
30065000 30068000 (00000000, 30000000) RWX /boot/system/dll/libskygi.dll (1844F000)
30068000 3006E000 (184B7000, 30000000) R-X /boot/system/dll/libskygi.dll (1844F000)
3006E000 30072000 (184BD000, 30000000) RWX /boot/system/dll/libskygi.dll (1844F000)
30072000 3008D000 (184C1000, 30000000) R-X /boot/system/dll/libskygi.dll (1844F000)
35001000 35004000 (18422000, 35000000) R-X /boot/system/dll/libini.dll (18421000)
35004000 35005000 (18425000, 35000000) RWX /boot/system/dll/libini.dll (18421000)
36001000 36002000 (183DF000, 36000000) R-X /boot/system/dll/libenc.dll (183DE000)
36002000 36003000 (183E0000, 36000000) RWX /boot/system/dll/libenc.dll (183DE000)
36003000 36005000 (183E1000, 36000000) R-X /boot/system/dll/libenc.dll (183DE000)
36005000 36006000 (183E3000, 36000000) RWX /boot/system/dll/libenc.dll (183DE000)
3B001000 3B007000 (18523000, 3B000000) R-X /boot/system/themes/plugin/windui/windui.dll (18522000)
3B007000 3B008000 (18529000, 3B000000) RWX /boot/system/themes/plugin/windui/windui.dll (18522000)
3B008000 3B00A000 (1852A000, 3B000000) R-X /boot/system/themes/plugin/windui/windui.dll (18522000)
3B00A000 3B00B000 (00000000, 3B000000) RWX /boot/system/themes/plugin/windui/windui.dll (18522000)
3B00B000 3B00C000 (1852D000, 3B000000) R-X /boot/system/themes/plugin/windui/windui.dll (18522000)
3B00C000 3B00D000 (1852E000, 3B000000) RWX /boot/system/themes/plugin/windui/windui.dll (18522000)
40001000 40004000 (18429000, 40000000) R-X /boot/system/dll/librsm.dll (18428000)
40004000 40005000 (00000000, 40000000) RWX /boot/system/dll/librsm.dll (18428000)
40005000 40006000 (1842D000, 40000000) R-X /boot/system/dll/librsm.dll (18428000)
40006000 40007000 (1842E000, 40000000) RWX /boot/system/dll/librsm.dll (18428000)
41001000 41004000 (1851B000, 41000000) R-X /boot/system/dll/libdcs.dll (1851A000)
41004000 41005000 (1851E000, 41000000) RWX /boot/system/dll/libdcs.dll (1851A000)
41005000 41006000 (1851F000, 41000000) R-X /boot/system/dll/libdcs.dll (1851A000)
44001000 44005000 (18092000, 44000000) R-X /boot/system/dll/libiss.dll (18091000)
44005000 44006000 (00000000, 44000000) RWX /boot/system/dll/libiss.dll (18091000)
44006000 44007000 (18097000, 44000000) R-X /boot/system/dll/libiss.dll (18091000)
44007000 44008000 (18098000, 44000000) RWX /boot/system/dll/libiss.dll (18091000)
45001000 45003000 (18432000, 45000000) R-X /boot/system/dll/libuser.dll (18431000)
45003000 45005000 (18434000, 45000000) RWX /boot/system/dll/libuser.dll (18431000)
45005000 45007000 (18436000, 45000000) R-X /boot/system/dll/libuser.dll (18431000)
45007000 45008000 (18438000, 45000000) RWX /boot/system/dll/libuser.dll (18431000)
48001000 48023000 (184DF000, 48000000) R-X /boot/system/dll/ft2-1-4.dll (184DE000)
48023000 48024000 (18501000, 48000000) RWX /boot/system/dll/ft2-1-4.dll (184DE000)
48024000 4802B000 (18502000, 48000000) R-X /boot/system/dll/ft2-1-4.dll (184DE000)
4802B000 4802C000 (18509000, 48000000) RWX /boot/system/dll/ft2-1-4.dll (184DE000)
68101000 68104000 (18260000, 68100000) R-X /boot/programs/viewer/sni_text.dll (1825F000)
68104000 68105000 (18263000, 68100000) RWX /boot/programs/viewer/sni_text.dll (1825F000)
68201000 68204000 (18259000, 68200000) R-X /boot/programs/viewer/sni_pict.dll (18258000)
68204000 68205000 (1825C000, 68200000) RWX /boot/programs/viewer/sni_pict.dll (18258000)
68301000 68304000 (180BB000, 68300000) R-X /boot/programs/viewer/sni_fnt.dll (180BA000)
68304000 68305000 (180BE000, 68300000) RWX /boot/programs/viewer/sni_fnt.dll (180BA000)
68401000 68403000 (180C2000, 68400000) R-X /boot/programs/viewer/sni_media.dll (180C1000)
68403000 68404000 (00000000, 68400000) RWX /boot/programs/viewer/sni_media.dll (180C1000)
68404000 68405000 (180C5000, 68400000) R-X /boot/programs/viewer/sni_media.dll (180C1000)
68405000 68406000 (180C6000, 68400000) RWX /boot/programs/viewer/sni_media.dll (180C1000)
7FF04000 7FF80000 (00000000, 00000000) RWX Unknown (00000000)
7FFC0000 80000000 (00000000, 00000000) RWX Unknown (00000000)
 
Important page entries:
Page table entry for CR2: 0x00000000
Page table entry for EIP: 0x16FC7025
Page table entry for ESP: 0x14BD0067
 
Detailed processor status:
Error Code = 00000004, CR2 = 00000000 Stack: 14B80018
EAX = 00000000, EBX = 004D0002, ECX = FFFFFFFF, EDX = FFFFFFFF
EFL = 00005246, ESI = 00582128, EDI = 00000000, EBP = 7FFFE9E8
ESP = 7FFFE9CC, EIP = 30008A03
CS = 0023, DS = 002B, ES = 002B
FS = 002B, GS = 002B, SS = 002B
Page fault occured while task was in user mode
The page is not present and the task tried to read from this page


No kernel stack voilation occured..




User stack backtrace from 0x30008A03 / 0x7FFFE9E8
User stack backtrace from 0x30008A03 / 0x7FFFE9E8
<user: /boot/system/dll/libskygi.dll + 0x00007A03> 0x30008A03
<user: /boot/system/dll/libskygi.dll + 0x00007A03> 0x30008A03
<user: /boot/system/dll/libskygi.dll + 0x00009E90> 0x3000AE90
<user: /boot/system/dll/libskygi.dll + 0x00009E90> 0x3000AE90
<user: /boot/system/dll/libskygi.dll + 0x0000ADE2> 0x3000BDE2
<user: /boot/system/dll/libskygi.dll + 0x0000ADE2> 0x3000BDE2
<user: /boot/system/dll/libskygi.dll + 0x0000D1C9> 0x3000E1C9
<user: /boot/system/dll/libskygi.dll + 0x0000D1C9> 0x3000E1C9
<user: /boot/system/dll/libskygi.dll + 0x0000D2AC> 0x3000E2AC
<user: /boot/system/dll/libskygi.dll + 0x0000D2AC> 0x3000E2AC
<user: /boot/programs/viewer/viewer.app + 0x00004058> 0x00405058
<user: /boot/programs/viewer/viewer.app + 0x00004058> 0x00405058
<user: /boot/programs/viewer/viewer.app + 0x00000021> 0x00401021
<user: /boot/programs/viewer/viewer.app + 0x00000021> 0x00401021
<user: unknown + 0x0003EDCD> 0x7FFFEDCD
<user: unknown + 0x0003EDCD> 0x7FFFEDCD
Invalid address: 00000002

Disassembling code at fault address (Virtual: 0x30008A03 Physical: 0x16FC7A03):
100000:16FC7A03 repne scasb al,ds:[esi]
100000:16FC7A05 not ecx
100000:16FC7A07 push ecx
100000:16FC7A08 push [ebp+0]
100000:16FC7A0B push <NULL>
100000:16FC7A10 call <NULL>
100000:16FC7A15 pop eax
100000:16FC7A16 push [ebp+0]
100000:16FC7A19 call <NULL>
100000:16FC7A1E add esp,196
100000:16FC7A21 xor eax,eax
100000:16FC7A23 jmp <NULL>
100000:16FC7A25 lea esi,[esi]
100000:16FC7A28 push ebp
100000:16FC7A29 mov ebp,esp
Memory at EIP (Virtual: 0x30008A2B Physical: 0x16FC7A2B):
Memory dump at CR2 (Virtual: 0x00000000 Physical: 0x00000000):
<invalid>

Exception report end.
Notification 1: (/Type=0x00140006 /Index=1 /ShortDescription="Application crashed. Click info icon
to send a crash report." /LongDescription="Crash report for viewer.app") buffered
except.c: Check for debug application...
except.c: Post debug request...
28512798: 25/debug.app: create dynbmp
28512800: 25/debug.app: dynbmp created
28512801: 25/debug.app: create msgbox2
**********************************************************************
except.c: Stopping application...
current: vci.app, set to 34
28514867: 35/gdb.app: done
28514871: 35/gdb.app: done
28514896: 35/gdb.app: Database load not implemetned!
28514901: 35/gdb.app: ssystem.c: sysconf not implemented for 5
debug.c: Attach to process 32
28518504: 26/panel.app: winicon.c: IconParse() 1,2,4,8, 16bpp icons not supported
28519085: 26/panel.app: winicon.c: IconParse() 1,2,4,8, 16bpp icons not supported
28521622: 26/panel.app: Resource 9 not found
28521657: 26/panel.app: Resource 8 not found
28521658: 26/panel.app: Resource 9 not found
28521660: 26/panel.app: Resource 9 not found
28521661: 26/panel.app: Resource 9 not found
mount.c: Syncing filesystem skyfs (/boot)
skyfs.c: Syncing disk...
buffer.c: Still dirty blocks: -4
syshandl.c: Shutdown initiated. Type: 1
syshandl.c: Shuting down system...
mount.c: Syncing filesystem skyfs (/boot)
skyfs.c: Syncing disk...
buffer.c: Still dirty blocks: -6
mount.c: Syncing filesystem skyfs (/boot)
skyfs.c: Syncing disk...
buffer.c: Still dirty blocks: -8
syshandl.c: Shuting down tasks...
kill.c: Sending terminate to all processes...
sched.c: Interrupt task from sleeping
sched.c: Interrupt task from sleeping
31 / iss.app_ISSChecker: auto reap myself because of thread state and no want exit code
gimsg.c: Received signal while waiting for message
24 / desktop.app: Set reaper as parent for task 25 / debug.app
24 / desktop.app: Set reaper as parent for task 26 / panel.app
24 / desktop.app: Set reaper as parent for task 28 / sysserv.app
24 / desktop.app: Set reaper as parent for task 29 / iss.app
24 / desktop.app: Set reaper as parent for task 30 / appman.app
24 / desktop.app: Set reaper as parent for task 32 / viewer.app
24 / desktop.app: auto reap myself because of no want exit code
giwm.c: Destroy desktop
giwm.c: Destroy desktop done.
listener.c: Remove client due task delete
listener.c: Remove client due task delete
28 / sysserv.app: auto reap myself because of no want exit code
29 / iss.app: auto reap myself because of no want exit code
33 / viewer.app_t33: auto reap myself because of thread state and no want exit code
gimsg.c: Received signal while waiting for message
30 / appman.app: auto reap myself because of no want exit code
gimsg.c: Received signal while waiting for message
        Kill thread vci.app_t36 / 36.
        Moving to reaper task...
34 / vci.app: Set reaper as parent for task 35 / gdb.app
34 / vci.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
gimsg.c: Received signal while waiting for message
26 / panel.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
28522767: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522770: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522774: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522777: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522780: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522783: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522786: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522790: 35/gdb.app: tcflush not implemented!
25 / debug.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0017FF4F
<core: kernel> 0x001836AC
<core: kernel> 0x00182330
<core: kernel> 0x0010B8C4
<core: kernel> 0x001224B5
<core: kernel> 0x001228BE
<core: kernel> 0x001071F0
dep.c: Remove DataExchangePort dep_System.Services.Notifications.All.SystemNotificationPanel, task: sysserv.app
sched.c: (2 / TaskReaper) got signal, abort.
dep.c: Remove DataExchangePort ISSService, task: iss.app
sched.c: (2 / TaskReaper) got signal, abort.
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0017FF4F
<core: kernel> 0x001836AC
<core: kernel> 0x00182330
<core: kernel> 0x0010B8C4
<core: kernel> 0x001224B5
<core: kernel> 0x001228BE
<core: kernel> 0x001071F0
sched.c: (2 / TaskReaper) got signal, abort.
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0017FF4F
<core: kernel> 0x001836AC
<core: kernel> 0x00182330
<core: kernel> 0x0010B8C4
<core: kernel> 0x001224B5
<core: kernel> 0x001228BE
<core: kernel> 0x001071F0
sched.c: (2 / TaskReaper) got signal, abort.
wq.c: Received signal before entering wait queue
28522893: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522897: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522900: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522904: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522907: 35/gdb.app: tcflush not implemented!
wq.c: Received signal before entering wait queue
28522910: 35/gdb.app: tcflush not implemented!
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0017FF4F
<core: kernel> 0x001836AC
<core: kernel> 0x00182330
<core: kernel> 0x0010B8C4
<core: kernel> 0x001224B5
<core: kernel> 0x001228BE
<core: kernel> 0x001071F0
listener.c: Remove client due window delete
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0017FF4F
<core: kernel> 0x001836AC
<core: kernel> 0x00182330
<core: kernel> 0x0010B8C4
<core: kernel> 0x001224B5
<core: kernel> 0x001228BE
<core: kernel> 0x001071F0
sched.c: (2 / TaskReaper) got signal, abort.
dep.c: Remove DataExchangePort sys_DebugRequest, task: debug.app
sched.c: (2 / TaskReaper) got signal, abort.
sched.c: (2 / TaskReaper) got signal, abort.
28522973: 35/gdb.app: tcflush not implemented!
28522975: 35/gdb.app: tcflush not implemented!
28522977: 35/gdb.app: tcflush not implemented!
28522978: 35/gdb.app: tcflush not implemented!
28522980: 35/gdb.app: tcflush not implemented!
28522981: 35/gdb.app: tcflush not implemented!
28522983: 35/gdb.app: tcflush not implemented!
28522985: 35/gdb.app: tcflush not implemented!
35 / gdb.app: Set reaper as parent for task 32 / viewer.app
35 / gdb.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
sched.c: (2 / TaskReaper) got signal, abort.
sched.c: (2 / TaskReaper) got signal, abort.
kill.c: Sending terminate to all processes...
kill.c: All tasks except desktop terminated
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending kill to all processes...
kill.c: Sending kill to all processes...
signal.c Killing in-debug-state task..:
32 / viewer.app: auto reap myself because of no want exit code
listener.c: Remove client due window delete
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0017FF4F
<core: kernel> 0x001836AC
<core: kernel> 0x00182330
<core: kernel> 0x0010B8C4
<core: kernel> 0x001223AD
<core: kernel> 0x00124E14
<core: kernel> 0x0013346E
<core: kernel> 0x00106C0A
<core: kernel> 0x001D9C41
sched.c: (2 / TaskReaper) got signal, abort.
kill.c: Sending kill to all processes...
kill.c: All tasks killed.
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0018642E
<core: kernel> 0x0010BEBF
<core: kernel> 0x00101D27
<core: kernel> 0x00109DA3
<core: kernel> 0x00000000
syshandl.c: Shuting down vfs...
mount.c: Unmounting all devices...
unmoung:
unmoung:
unmoung: /dev/hd0a
skyfs: umount...
free journal
free indices
free cached blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 4096 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 4096 0
done
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 4096 0
buffer.c: Remove device from cache subsystem. Serialized 0 blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 4096 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 0 0
skyfs: unmount done.
unmoung:
devfs.c: unmount
usage is 0
unmoung:
unmoung:
unmoung:
regser.c: Bootdevice not mounted.
          Serialization aborted
buffer.c: Still dirty blocks: -8
syshandl.c: Rebooting...
reboot.c: Event: 01000000
reboot.c: Shutdown...
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2005-02-09 18:33 Another One New Issue
2005-02-10 17:08 robert Status new => resolved
2005-02-10 17:08 robert Resolution open => fixed
2005-02-10 17:08 robert Assigned To => robert


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker